> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/api-reference/images.md).

# Images

## List product images

> Retrieves a product's images.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"},{"name":"Products"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/products/{product_id}/images":{"get":{"summary":"List product images","description":"Retrieves a product's images.","operationId":"list-product-images","tags":["Images","Products"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}}}}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Create product image

> Creates an image for a product.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"image-input":{"type":"object","title":"Image input","properties":{"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment":{"type":"string"},"position":{"type":"integer"},"viewable_type":{"type":"string"},"viewable_id":{"type":"integer"}}}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/products/{product_id}/images":{"post":{"summary":"Create product image","description":"Creates an image for a product.","operationId":"create-product-image","tags":["Images"],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/image-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/image"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Get product image

> Retrieves a product's image.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/products/{product_id}/images/{id}":{"get":{"summary":"Get product image","description":"Retrieves a product's image.","operationId":"get-product-image","tags":["Images"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/image"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Delete product image

> Deletes a product's image.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"responses":{"no-content":{"description":"Successful operation with no content returned"},"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"delete-restriction":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/products/{product_id}/images/{id}":{"delete":{"summary":"Delete product image","description":"Deletes a product's image.","operationId":"delete-product-image","tags":["Images"],"responses":{"204":{"$ref":"#/components/responses/no-content"},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/delete-restriction"}}}}}}
```

## Update product image

> Updates a product's image.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"image-input":{"type":"object","title":"Image input","properties":{"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment":{"type":"string"},"position":{"type":"integer"},"viewable_type":{"type":"string"},"viewable_id":{"type":"integer"}}}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/products/{product_id}/images/{id}":{"patch":{"summary":"Update product image","description":"Updates a product's image.","operationId":"update-product-image","tags":["Images"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/image-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/image"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## List variant images

> Lists a variant's images.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/variants/{variant_id}/images":{"get":{"summary":"List variant images","description":"Lists a variant's images.","operationId":"list-variant-images","tags":["Images"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}}}}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Create variant image

> Creates an image for a variant.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"image-input":{"type":"object","title":"Image input","properties":{"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment":{"type":"string"},"position":{"type":"integer"},"viewable_type":{"type":"string"},"viewable_id":{"type":"integer"}}}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/variants/{variant_id}/images":{"post":{"summary":"Create variant image","description":"Creates an image for a variant.","operationId":"create-variant-image","tags":["Images"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/image-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/image"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```

## Get variant image

> Retrieves a variant's image.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/variants/{variant_id}/images/{id}":{"get":{"summary":"Get variant image","description":"Retrieves a variant's image.","operationId":"get-variant-image","tags":["Images"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/image"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Delete variant image

> Deletes a variant's image.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"responses":{"no-content":{"description":"Successful operation with no content returned"},"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"delete-restriction":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/variants/{variant_id}/images/{id}":{"delete":{"summary":"Delete variant image","description":"Deletes a variant's image.","operationId":"delete-variant-image","tags":["Images"],"responses":{"204":{"$ref":"#/components/responses/no-content"},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/delete-restriction"}}}}}}
```

## Update variant image

> Updates a variant's image.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Images"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"image-input":{"type":"object","title":"Image input","properties":{"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment":{"type":"string"},"position":{"type":"integer"},"viewable_type":{"type":"string"},"viewable_id":{"type":"integer"}}}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"}},"responses":{"invalid-api-key":{"description":"Invalid API Key provided","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"unprocessable-entity":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"errors":{"type":"object"}}}}}}}},"paths":{"/variants/{variant_id}/images/{id}":{"patch":{"summary":"Update variant image","description":"Updates a variant's image.","operationId":"update-variant-image","tags":["Images"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/image-input"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/image"}}}},"401":{"$ref":"#/components/responses/invalid-api-key"},"404":{"$ref":"#/components/responses/not-found"},"422":{"$ref":"#/components/responses/unprocessable-entity"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/api-reference/images.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
